Compatible Devices for Call of Duty: Strike Team


Call of Duty: Strike Team requires iOS 6.0 or later.
         
Call of Duty: Strike Team is only compatible with and optimized for:
  • iPhone 4S
  • iPhone 5
  • iPod Touch (5th generation)
  • iPad Mini
  • iPad 2
  • iPad (3rd Generation)
  • iPad (4th Generation)
Call of Duty: Strike Team is not compatible with:
  • iPhone 4 and below
  • iPad 1
  • iPod Touch (4th generation and below)


Previous MonthNext Month
SunMonTueWedThuFriSat